Page 1 of 3 123 LastLast
Results 1 to 10 of 21

Thread: Banshee 1.7.3-Upgraded and can't play music

  1. #1
    Join Date
    Nov 2009
    Location
    Columbus, Ohio
    Posts
    41

    Default Banshee 1.7.3-Upgraded and can't play music

    I upgraded to Banshee 1.7.3 from the OMG OpenSUSE link:

    Banshee brings the Amazon Store to Linux | OMG! SUSE!

    I can open Banshee, but now I get a red X beside all of my songs when I try to play them. I have checked to make sure that no codecs were removed, and they all look appear to be installed. Any suggestions?

    Missing my music,

    Rifester

  2. #2
    Join Date
    Jan 2009
    Location
    USA Pennsylvania
    Posts
    1,287

    Default Re: Banshee 1.7.3-Upgraded and can't play music

    Install all of the Gstreamer plugins. Good, bad, and ugly. Banshee uses Gstreamer, so if you don't have the right codecs, not all your files will be able to be played.

    Take Care,

    Ian
    Laptop: Dell Inspiron E1505 | OpenSUSE 12.1/Windows Vista | KDE | Intel CPU T2050 1.6 GHz | Intel 945GM | 3.2GB RAM
    Box: OpenSUSE 12.1/Windows 7 | KDE | Intel Core 2 Quad 8300 2.5GHz/core | nVidia Geforce 9500GT 1GB| 4 GB RAM

  3. #3
    Join Date
    Nov 2009
    Location
    Columbus, Ohio
    Posts
    41

    Default Re: Banshee 1.7.3-Upgraded and can't play music

    I have all of the Codecs installed and working properly (Banshee was playing fine before I updated it). I have Exaile installed and it is playing MP3 fine. Now I have a bigger problem. I un-installed Banshee (and reinstalled), now it does not show up in my menu at all (YAST shows it as installed). Please help!

  4. #4
    Join Date
    Jan 2009
    Location
    USA Pennsylvania
    Posts
    1,287

    Default Re: Banshee 1.7.3-Upgraded and can't play music

    You can create a custom menu entry or just a .desktop file. But first are you using KDE or GNOME? If you're using KDE first try right clicking the application launcher, then choosing menu editor. Choose Edit on the top and then choose Restore System Menu. That should fix the problem. If you're using GNOME then someone else who uses GNOME will have to assist you with that problem.

    Take Care,

    Ian
    Laptop: Dell Inspiron E1505 | OpenSUSE 12.1/Windows Vista | KDE | Intel CPU T2050 1.6 GHz | Intel 945GM | 3.2GB RAM
    Box: OpenSUSE 12.1/Windows 7 | KDE | Intel Core 2 Quad 8300 2.5GHz/core | nVidia Geforce 9500GT 1GB| 4 GB RAM

  5. #5
    Join Date
    Nov 2009
    Location
    Columbus, Ohio
    Posts
    41

    Default Re: Banshee 1.7.3-Upgraded and can't play music

    I am using Gnome...

  6. #6
    Join Date
    Aug 2008
    Location
    Seattle, WA
    Posts
    1,376

    Default Re: Banshee 1.7.3-Upgraded and can't play music

    Right-click the launcher button to open the menu editor. To add it to the desktop, right-click and choose "Create launcher." The command is 'banshee-1.'

    What's the output of

    zypper se -i gstreamer

  7. #7
    Join Date
    Nov 2009
    Location
    Columbus, Ohio
    Posts
    41

    Default Re: Banshee 1.7.3-Upgraded and can't play music

    I get this output with the launcher : Failed to execute child process "banshee-1" (No such file or directory) (It shows installed in YAST)

    Here is the zypper se -i gstreamer output:

    | Name | Summary | Type
    --+------------------------------------+-------------------------------+--------
    i | PackageKit-gstreamer-plugin | Simple software installatio-> | package
    i | banshee-1-backend-engine-gstreamer | GStreamer engine support fo-> | package
    i | gstreamer-0_10 | Streaming-Media Framework R-> | package
    i | gstreamer-0_10-fluendo-mp3 | GStreamer plug-in from Flue-> | package
    i | gstreamer-0_10-libnice | Interactive Connectivity Es-> | package
    i | gstreamer-0_10-plugin-gnomevfs | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-plugin-hal | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-plugins-bad | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-plugins-base | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-plugins-good | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-plugins-ugly | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-utils | Streaming-Media Framework R-> | package
    i | gstreamer-utils | Streaming-Media Framework R-> | package
    i | libgstreamer-0_10-0 | Streaming-Media Framework R-> | package
    i | python-gstreamer-0_10 | Python Bindings for GStreamer | package

  8. #8
    Join Date
    Nov 2009
    Location
    Columbus, Ohio
    Posts
    41

    Default Re: Banshee 1.7.3-Upgraded and can't play music

    I get this output with the launcher : Failed to execute child process "banshee-1" (No such file or directory) (It shows installed in YAST)

    Here is the zypper se -i gstreamer output:

    | Name | Summary | Type
    --+------------------------------------+-------------------------------+--------
    i | PackageKit-gstreamer-plugin | Simple software installatio-> | package
    i | banshee-1-backend-engine-gstreamer | GStreamer engine support fo-> | package
    i | gstreamer-0_10 | Streaming-Media Framework R-> | package
    i | gstreamer-0_10-fluendo-mp3 | GStreamer plug-in from Flue-> | package
    i | gstreamer-0_10-libnice | Interactive Connectivity Es-> | package
    i | gstreamer-0_10-plugin-gnomevfs | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-plugin-hal | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-plugins-bad | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-plugins-base | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-plugins-good | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-plugins-ugly | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-utils | Streaming-Media Framework R-> | package
    i | gstreamer-utils | Streaming-Media Framework R-> | package
    i | libgstreamer-0_10-0 | Streaming-Media Framework R-> | package
    i | python-gstreamer-0_10 | Python Bindings for GStreamer | package

    Is it possible something got corrupted when I installed the new version?

  9. #9
    Join Date
    Aug 2008
    Location
    Seattle, WA
    Posts
    1,376

    Default Re: Banshee 1.7.3-Upgraded and can't play music

    Quote Originally Posted by Rifester View Post
    I get this output with the launcher : Failed to execute child process "banshee-1" (No such file or directory) (It shows installed in YAST)
    What happens when you enter 'banshee-1' (without the quotes) in the terminal?

    Here is the zypper se -i gstreamer output:

    | Name | Summary | Type
    --+------------------------------------+-------------------------------+--------
    i | PackageKit-gstreamer-plugin | Simple software installatio-> | package
    i | banshee-1-backend-engine-gstreamer | GStreamer engine support fo-> | package
    i | gstreamer-0_10 | Streaming-Media Framework R-> | package
    i | gstreamer-0_10-fluendo-mp3 | GStreamer plug-in from Flue-> | package
    i | gstreamer-0_10-libnice | Interactive Connectivity Es-> | package
    i | gstreamer-0_10-plugin-gnomevfs | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-plugin-hal | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-plugins-bad | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-plugins-base | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-plugins-good | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-plugins-ugly | GStreamer Streaming-Media F-> | package
    i | gstreamer-0_10-utils | Streaming-Media Framework R-> | package
    i | gstreamer-utils | Streaming-Media Framework R-> | package
    i | libgstreamer-0_10-0 | Streaming-Media Framework R-> | package
    i | python-gstreamer-0_10 | Python Bindings for GStreamer | package

    Is it possible something got corrupted when I installed the new version?
    I don't see anything missing. What codecs are the files you are trying to play?

  10. #10
    Join Date
    Nov 2009
    Location
    Columbus, Ohio
    Posts
    41

    Default Re: Banshee 1.7.3-Upgraded and can't play music

    When I run banshee-1 in terminal :If 'banshee-1' is not a typo you can use command-not-found to lookup the package that contains it, like this:
    cnf banshee-1

    I am perplexed... Everything is MP3. They were playing fine on the old version of Banshee yesterday and I upgraded.... I have also tried re-installing the older version but it also will not show up in the menu or run in terminal...

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •